FLANG

Public Types | Public Member Functions | List of all members
Fortran::lower::pft::Program Struct Reference

A Program is the top-level root of the PFT. More...

`#include <flang/Lower/PFTBuilder.h>`

## Public Types
using | Units = std::variant< FunctionLikeUnit, ModuleLikeUnit, BlockDataUnit >

## Public Member Functions
| Program (Program &&)=default
| Program (const Program &)=delete
std::list< Units > & | getUnits ()
void | dump ()
| LLVM dump method on a Program.

## Detailed Description

A Program is the top-level root of the PFT.

The documentation for this struct was generated from the following files:

- include/flang/Lower/PFTBuilder.h
- lib/Lower/PFTBuilder.cpp